VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Pick a Number"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdGuess 
      Caption         =   "&Guess"
      Height          =   495
      Left            =   120
      TabIndex        =   1
      Top             =   720
      Width           =   2415
   End
   Begin VB.CommandButton cmdGetSecretNumber 
      Caption         =   "Get Secret &Number"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2415
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private SecretNumber As Integer

Private Function GetSecretNumber() As Integer
    'Think of a number between 1 and 10
    Randomize
    
    GetSecretNumber = Int(Rnd(1) * 10) + 1
End Function


Private Sub cmdGetSecretNumber_Click()
    'Get the scret number
    SecretNumber = GetSecretNumber()
End Sub


Private Sub cmdGuess_Click()
    Dim guess As Integer
    Dim msg As String
    Dim cap As String
    
    'Create the message
    msg = "Enter a number between 1 and 10:"
    
    'Get a number from the user
    guess = CInt(InputBox(msg))
    
    'Was it the right number?
    If guess = SecretNumber Then
        'Yes! The user wins!
        msg = "You guessed the secret number!"
        cap = "Correct!"
        
        'Display the message
        MsgBox msg, vbExclamation, cap
        
        'End the game
        End
    Else
        'No. Try again...
        msg = "You did not guess the correct number."
        cap = "Try again!"
        
        MsgBox msg, vbInformation, cap
    End If
End Sub

Private Sub Form_Load()
    'Get the scret number
    SecretNumber = GetSecretNumber()
End Sub


