VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmMain 
   Caption         =   "File Encrypter"
   ClientHeight    =   1185
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   3825
   LinkTopic       =   "Form1"
   ScaleHeight     =   1185
   ScaleWidth      =   3825
   StartUpPosition =   3  'Windows Default
   Begin MSComDlg.CommonDialog dlgFile 
      Left            =   3120
      Top             =   240
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuAct 
      Caption         =   "&Actions"
      Begin VB.Menu mnuActEncrypt 
         Caption         =   "&Encrypt"
      End
      Begin VB.Menu mnuActDecrypt 
         Caption         =   "&Decrypt"
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Function Decrypt(infile As String) As Boolean
    Dim fileno1 As Integer
    Dim fileno2 As Integer
    Dim outfile As String
    Dim xpos As Long
    Dim x As Byte
    Dim t(3) As Byte
        
    'Show the hourglass
    MousePointer = vbHourglass
    
    xpos = 4
    outfile = "c:\temp.enc"
    fileno1 = FreeFile
    Open infile For Binary As fileno1
        fileno2 = FreeFile
        Get #fileno1, 1, t(0)
        Get #fileno1, 2, t(1)
        Get #fileno1, 3, t(2)
        Get #fileno1, 4, t(3)
        If (t(0) = 0 And t(1) = 128 And t(2) = 0 And t(3) = 128) Then
            Open outfile For Binary As fileno2
                Do While Not EOF(fileno1)
                    xpos = xpos + 1
                    Get #fileno1, xpos, x
                    Put #fileno2, xpos - 4, x + 128
                Loop
            Close fileno2
            
            'Delete original file & replace with encrypted file
            Kill infile
            FileCopy outfile, infile
            Kill outfile
            Decrypt = True
        Else
            Decrypt = False
        End If
    Close fileno1

    'Reset the mouse pointer
    MousePointer = vbNormal
End Function

Function Encrypt(infile As String) As Boolean
    Dim fileno1 As Integer
    Dim fileno2 As Integer
    Dim outfile As String
    Dim xpos As Long
    Dim x As Byte
        
    'Show the hourglass
    MousePointer = 11
    
    xpos = 4
    outfile = "c:\temp.enc"
    fileno1 = FreeFile
    Open infile For Binary As fileno1
        fileno2 = FreeFile
        Open outfile For Binary As fileno2
            Put #fileno2, 1, 0
            Put #fileno2, 2, 128
            Put #fileno2, 3, 0
            Put #fileno2, 4, 128
            Do While Not EOF(fileno1)
                xpos = xpos + 1
                Get #fileno1, xpos, x
                Put #fileno2, xpos, x + 128
            Loop
        Close fileno2
    Close fileno1
    
    'Delete original file & replace with encrypted file
    Kill infile
    FileCopy outfile, infile
    Kill outfile
    Encrypt = True
    
    'Reset the mouse pointer
    MousePointer = 0
End Function

Private Sub mnuActDecrypt_Click()
    Dim filename As String
    
    filename = GetFile()
    If filename <> "" Then
        If Decrypt(filename) = False Then
            MsgBox "Error decrypting file!"
        End If
    End If
End Sub

Private Sub mnuActEncrypt_Click()
    Dim filename As String
    
    filename = GetFile()
    If filename <> "" Then
        If Encrypt(filename) = False Then
            MsgBox "Error encrypting file!"
        End If
    End If
End Sub

Function GetFile() As String
    dlgFile.CancelError = True
    
    'If the user clicks the Cancel button, then
    'generate an error
    On Error GoTo filerr
    
    'Configure the dialog
    dlgFile.DialogTitle = "Select a File..."
    dlgFile.DefaultExt = "*.txt"
    dlgFile.Filter = "Text Files (*.txt)|*.txt|" & _
        " All Files (*.*)|*.*"
    dlgFile.FilterIndex = 1
    dlgFile.MaxFileSize = 32767
    
    'Show the dialog
    dlgFile.ShowOpen
    
    'Get the filename
    GetFile = dlgFile.filename
    
    'Bypass the error handler
    Exit Function

filerr:
    GetFile = ""
End Function

Private Sub mnuFileExit_Click()
    End
End Sub


