VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Debug Toolbox"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame fraFunctions 
      Caption         =   "Functions"
      Height          =   1575
      Left            =   0
      TabIndex        =   1
      Top             =   1440
      Width           =   4575
      Begin VB.CommandButton cmdCubeRoot 
         Caption         =   "C&ube Root"
         Height          =   495
         Left            =   3240
         TabIndex        =   4
         Top             =   240
         Width           =   1215
      End
      Begin VB.CommandButton cmdUTrim 
         Caption         =   "&Utrim$"
         Height          =   495
         Left            =   1680
         TabIndex        =   3
         Top             =   240
         Width           =   1215
      End
      Begin VB.CommandButton cmdSpellMonth 
         Caption         =   "Spell &Month"
         Height          =   495
         Left            =   120
         TabIndex        =   2
         Top             =   240
         Width           =   1215
      End
   End
   Begin VB.ListBox lstResults 
      Height          =   1425
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   4695
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Function GetInput(Msg As String) As Variant
    Dim rc As Variant
    
    'Prompt the user for input data
    rc = InputBox(Msg, "Input Test Data")
    lstResults.AddItem "Input: " & vbTab & vbTab & rc
    
    'Return the input value
    GetInput = rc
End Function

Private Sub ShowProcedure(Proc As String)
    'Add the procedure to the list
    lstResults.AddItem "Test Procedure: " & vbTab & Proc
End Sub

Private Sub ShowResults(result As Variant)
    'Add the result to the list box
    lstResults.AddItem "Result: " & vbTab & vbTab & result
End Sub


Private Sub cmdCubeRoot_Click()
    Dim rc As Double
    Dim result As String
    
    'Show the test procedure in the list
    ShowProcedure "CubeRoot"
    
    'Get the user input
    rc = GetInput("Enter a number:")
    
    'Get the results
    result = CubeRoot(rc)
    
    'Show the results in the list
    ShowResults result
End Sub

Private Sub cmdSpellMonth_Click()
    Dim rc As Integer
    Dim result As String
    
    'Show the test procedure in the list
    ShowProcedure "SpellMonth"
    
    'Get the user input
    rc = GetInput("Enter a month number:")
    
    'Get the results
    result = SpellMonth(rc)
    
    'Show the results in the list
    ShowResults result
End Sub

Private Sub cmdUTrim_Click()
    Dim rc As String
    Dim result As String
    
    'Show the test procedure in the list
    ShowProcedure "UTrim$"
    
    'Get the user input
    rc = GetInput("Enter a text string:")
    
    'Get the results
    result = UTrim$(rc)
    
    'Show the results in the list
    ShowResults result
End Sub


Private Sub Form_Resize()
    'Position the list in the upper-right
    'corner of the form. Stretch it to fit the
    'width of the form, and 1/2 the height of
    'the form.
    lstResults.Move 0, 0, ScaleWidth, ScaleHeight / 2
    
    'Position the frame in the lower half
    'of the form. Stretch it to fit the
    'width of the form, and 1/2 the height of
    'the form.
    fraFunctions.Move 0, ScaleHeight / 2, ScaleWidth, ScaleHeight / 2
End Sub


