VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsHR"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public Manager As Boolean
Public Dept As Integer
Public EmpID As Integer
Public EmpName As String
Public EmpDept As Integer
Public EmpPerformance As String
Public Reason As String

Public Function GetRecord() As Boolean
    If Manager = True Then
        If Dept = GetDept() Then
            EmpName = GetEmpName()
            EmpPerformance = GetPerfEval()
            Reason = ""
            GetRecord = True
        Else
            Reason = "You cannot access " _
                & "files from another department."
            GetRecord = False
        End If
    Else
        Reason = "You must be a manager to " _
                & "access personnel files."
        GetRecord = False
    End If
End Function


Private Function GetDept() As Integer
    Select Case EmpID
        Case Is = 1
            GetDept = 1
        Case Is = 2
            GetDept = 1
        Case Is = 3
            GetDept = 2
        Case Else
            GetDept = 0
    End Select
End Function

Private Function GetEmpName() As String
    Select Case EmpID
        Case Is = 1
            GetEmpName = "John Doe"
        Case Is = 2
            GetEmpName = "Jane Doe"
        Case Is = 3
            GetEmpName = "Throckmorton Van Shlep"
        Case Else
            GetEmpName = ""
    End Select
End Function

Private Function GetPerfEval() As String
    Select Case EmpID
    Case Is = 1
            GetPerfEval = "I've seen better!"
        Case Is = 2
            GetPerfEval = "Works well with others."
        Case Is = 3
            GetPerfEval = "Satisfactory."
        Case Else
            GetPerfEval = "Unknown."
    End Select
End Function

Private Sub Class_Initialize()
    Manager = False
    Dept = 1
    EmpID = 0
    EmpName = ""
    EmpDept = 0
    EmpPerformance = ""
    Reason = ""
End Sub


