VERSION 5.00
Begin VB.Form frmAddIn 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "CodeDoc App"
   ClientHeight    =   3195
   ClientLeft      =   2175
   ClientTop       =   1935
   ClientWidth     =   6030
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3195
   ScaleWidth      =   6030
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.PictureBox picButton 
      Height          =   615
      Left            =   4920
      Picture         =   "frmAddIn.frx":0000
      ScaleHeight     =   555
      ScaleWidth      =   675
      TabIndex        =   7
      Top             =   2160
      Visible         =   0   'False
      Width           =   735
   End
   Begin VB.Frame fraOptions 
      Caption         =   "&Options"
      Height          =   1935
      Left            =   120
      TabIndex        =   0
      Top             =   1080
      Width           =   5775
      Begin VB.CheckBox chkProjectSummary 
         Caption         =   "List Project &Summary"
         Height          =   255
         Left            =   240
         TabIndex        =   1
         Top             =   360
         Value           =   1  'Checked
         Width           =   5295
      End
      Begin VB.CheckBox chkReferences 
         Caption         =   "List Project &References"
         Height          =   255
         Left            =   240
         TabIndex        =   3
         Top             =   1080
         Value           =   1  'Checked
         Width           =   5295
      End
      Begin VB.CheckBox chkComponents 
         Caption         =   "List Com&ponents in Project"
         Height          =   255
         Left            =   240
         TabIndex        =   2
         Top             =   720
         Value           =   1  'Checked
         Width           =   5295
      End
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4680
      TabIndex        =   5
      Top             =   600
      Width           =   1215
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   375
      Left            =   4680
      TabIndex        =   4
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label lblDescription 
      Caption         =   "Description goes here..."
      Height          =   855
      Left            =   120
      TabIndex        =   6
      Top             =   120
      Width           =   4335
   End
End
Attribute VB_Name = "frmAddIn"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public VBInstance As VBIDE.VBE
Public Connect As Connect

Option Explicit

Private Sub AddModule()
    Dim ndx As Integer
    Dim i As Integer
    
    With VBInstance.ActiveVBProject
        'Does the module exist?
        For i = 1 To .VBComponents.Count
            'If so, then don't add the module.
            If .VBComponents(i).Name = "AppSpecs" Then
                'Activate the module so we can add to it
                .VBComponents(i).Activate
                
                'We don't need to add new file
                Exit Sub
            End If
        Next
        
        'Add a new code module
        .VBComponents.Add vbext_ct_StdModule
        ndx = .VBComponents.Count
        
        'Rename it
        .VBComponents(ndx).Name = "AppSpecs"
    End With
End Sub

Public Function ListComponents() As String
    Dim i As Integer
    Dim X As String
    
    With VBInstance
        'Add the section header
        X = "'" & vbCrLf & "'Components in Project:" & vbCrLf
        
        If .ActiveVBProject.VBComponents.Count > 0 Then
            'Add the components to the list
            For i = 1 To .ActiveVBProject.VBComponents.Count
                X = X & "'" & vbTab & _
                    .ActiveVBProject.VBComponents(i).Name & vbCrLf
            Next
        Else
            'There are no components
            X = X & "'" & vbTab & "None."
        End If
    End With
    
    'Return the list of components
    ListComponents = X
End Function
Public Function ListReferences() As String
    Dim i As Integer
    Dim X As String
    
    With VBInstance
        'Add the section header
        X = "'" & vbCrLf & "'References:" & vbCrLf
        
        If .ActiveVBProject.References.Count > 0 Then
            'List the references
            For i = 1 To .ActiveVBProject.References.Count
                X = X & "'" & vbTab & _
                    .ActiveVBProject.References(i).Description & vbCrLf
            Next
        Else
            'There are no references
            X = "'" & vbTab & "None."
        End If
    End With
    
    'Return the list of references
    ListReferences = X
End Function
Public Sub DocumentApp()
    Dim X As String
    Dim msg As String
    
    If chkProjectSummary.Value = 1 Then
        'Summarize the project
        X = ListSummary()
    End If
    
    If chkComponents.Value = 1 Then
        'List the components used in the project
        X = X & ListComponents()
    End If
    
    If chkReferences.Value = 1 Then
        'List the references used by the project
        X = X & ListReferences()
    End If
    
    'Add the comments to the top of the module
    With VBInstance.ActiveCodePane.CodeModule
        .InsertLines 1, X & "'"
    End With
    
    'Let the user know we're done
    msg = "Project documented successfully!"
    MsgBox msg, vbInformation, "Complete!"
End Sub

Private Function ListSummary() As String
    Dim X As String
    
    'Create the comments
    X = "'" & vbCrLf & _
        "'Project Name: " & vbTab & vbCrLf & _
        "'Version: " & vbTab & vbTab & vbCrLf & _
        "'Company: " & vbTab & vbTab & vbCrLf & _
        "'Copyright: " & vbTab & vbCrLf & _
        "'Trademarks: " & vbTab & vbCrLf & _
        "'Description:" & vbTab & vbCrLf

    'Return the list of ActiveX controls
    ListSummary = X
End Function

Private Sub chkComponents_Click()

End Sub

Private Sub chkProjectSummary_Click()

End Sub


Private Sub chkReferences_Click()

End Sub


Private Sub cmdCancel_Click()
    Connect.Hide
End Sub



Private Sub cmdOK_Click()
    'Add a new code module
    AddModule
    
    'Document the application
    DocumentApp
    
    'Remove the dialog
    Connect.Hide
End Sub

Private Sub Form_Load()
    Dim msg As String
    
    msg = "CodeDoc-App allows you to " & _
            "select project-wide options " & _
            "options and creates adds a " & _
            "single application-wide " & _
            "code module that lists " & _
            "the project's dependencies."
    
    lblDescription.Caption = msg
End Sub


Private Sub fraOptions_DragDrop(Source As Control, X As Single, Y As Single)

End Sub


Private Sub lblDescription_Click()

End Sub


Private Sub picButton_Click()

End Sub


