VERSION 5.00
Object = "{248DD890-BB45-11CF-9ABC-0080C7E7B78D}#1.0#0"; "MSWINSCK.OCX"
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmMain 
   Caption         =   "WebComm Server"
   ClientHeight    =   3195
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   6420
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   6420
   StartUpPosition =   3  'Windows Default
   Begin ComctlLib.StatusBar stsStatus 
      Align           =   2  'Align Bottom
      Height          =   375
      Left            =   0
      TabIndex        =   1
      Top             =   2820
      Width           =   6420
      _ExtentX        =   11324
      _ExtentY        =   661
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   4
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            Text            =   "Sessions: 0"
            TextSave        =   "Sessions: 0"
         EndProperty
         BeginProperty Panel2 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            AutoSize        =   1
            Bevel           =   0
            Object.Width           =   3122
         EndProperty
         BeginProperty Panel3 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            Style           =   6
            TextSave        =   "6/22/98"
         EndProperty
         BeginProperty Panel4 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            Style           =   5
            TextSave        =   "4:55 PM"
         EndProperty
      EndProperty
   End
   Begin VB.Timer tmrTimer 
      Interval        =   1000
      Left            =   5880
      Top             =   600
   End
   Begin VB.ListBox lstMessages 
      Height          =   2205
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   1935
   End
   Begin MSWinsockLib.Winsock wsk 
      Index           =   0
      Left            =   5880
      Top             =   120
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Const WSK_LOCAL_PORT = 12345
Private Const MAX_SESSIONS = 11
Private Sub UpdateStatus()
    Dim i As Integer
    Dim actsess As Integer
    
    'Count the number of active sessions
    For i = 1 To MAX_SESSIONS
        With wsk(i)
            If .State = sckConnected Then
                'Increment the session count
                actsess = actsess + 1
            End If
        End With
    Next
    
    'Refresh the status
    With stsStatus
        .Panels(1).Text = "Sessions: " & _
            Trim$(Str$(actsess))
    End With
End Sub

Private Sub Form_Load()
    Dim i As Integer
    
    'Configure the winsock receiver
    With wsk(0)
        .Protocol = sckTCPProtocol
        .LocalPort = WSK_LOCAL_PORT
        .Listen
    End With
    
    'Load 10 more winsocks
    For i = 1 To MAX_SESSIONS
        Load wsk(i)
        wsk(i).Protocol = sckTCPProtocol
        wsk(i).LocalPort = WSK_LOCAL_PORT
    Next
    
    'Update the status bar
    UpdateStatus
End Sub


Private Sub Form_Resize()
    'Stretch the message list
    If WindowState <> vbMinimized Then
        lstMessages.Move 0, _
            0, _
            ScaleWidth, _
            (ScaleHeight - stsStatus.Height)
    End If
End Sub


Private Sub lstMessages_Click()

End Sub


Private Sub mnuFile_Click()

End Sub


Private Sub mnuFileExit_Click()
    'End the application
    Unload Me
End Sub



Private Sub stsStatus_PanelClick(ByVal Panel As ComctlLib.Panel)

End Sub


Private Sub tmrTimer_Timer()
    'Update the status bar
    UpdateStatus
End Sub

Private Sub wsk_Close(Index As Integer)
    'Update the status bar
    UpdateStatus
End Sub

Private Sub wsk_Connect(Index As Integer)
    'Update the status bar
    UpdateStatus
End Sub


Private Sub wsk_ConnectionRequest(Index As Integer, ByVal requestID As Long)
    Dim msg As String
    Dim i As Integer
    
    'If this is the listening port...
    If Index = 0 Then
        'Let's find an open session
        For i = 1 To MAX_SESSIONS
            With wsk(i)
                If .State = sckClosed Then
                    'Connect to session i
                    .Accept requestID
                    
                    'Break out of the loop
                    Exit For
                End If
            End With
        Next
    End If
End Sub

Private Sub wsk_DataArrival(Index As Integer, ByVal bytesTotal As Long)
    Dim msg As String
    Dim rc As Integer
    Dim i As Integer
    
    'Get the message
    wsk(Index).GetData msg, , bytesTotal
    
    'Add it to the list
    lstMessages.AddItem msg
    
    'Relay the message back to the other clients
    For i = 1 To MAX_SESSIONS
        With wsk(i)
            If .State = sckConnected Then
                'Relay the message back to the
                'selected client
                .SendData msg
                
                'Wait for the message
                'to go out
                DoEvents
            End If
        End With
    Next
End Sub


