VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Person"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private mLikes(10) As Variant
Private mDislikes(10) As Variant

Public Event Say(Message As String)




Public Sub Try(something As String)
    Dim i As Integer
    Dim rc As Integer
    Dim msg As String
    
    'For right now, the person is indifferent
    rc = 0
    
    'Let's see if the person doesn't like something
    For i = 0 To UBound(mDislikes)
        If Trim$(something) = Trim$(mDislikes(i)) Then
            rc = 1
            Exit For
        End If
    Next
    
    If rc <> 1 Then
        'Let's see if the person does like something
        For i = 0 To UBound(mLikes)
            If Trim$(something) = Trim$(mLikes(i)) Then
                rc = 2
                Exit For
            End If
        Next
    End If
    
    'Decide what to say...
    Select Case rc
    Case Is = 1
        msg = "Yuck!"
    Case Is = 2
        msg = "Yum yum yum!"
    Case Else
        msg = "I'm sorry, but I've never tried " & something & " before!"
    End Select
    
    'Trigger the event
    RaiseEvent Say(msg)
End Sub



Private Sub Class_Initialize()
    mLikes(0) = "pizza"
    mLikes(1) = "ice cream"
    mLikes(2) = "soda"
    
    mDislikes(0) = "menudo"
    mDislikes(1) = "cottage cheese"
    mDislikes(2) = "squid"
End Sub
