VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "VB Airspeed Indicator"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.VScrollBar vscThrottle 
      Height          =   2895
      LargeChange     =   5
      Left            =   4320
      Max             =   100
      TabIndex        =   0
      Top             =   120
      Width           =   255
   End
   Begin VB.Label lblAirspeed 
      Caption         =   "Indicated Airspeed:"
      Height          =   495
      Left            =   120
      TabIndex        =   1
      Top             =   1080
      Width           =   3255
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Throttle As Integer     'Current throttle setting
Private Const VNE = 427         'Redline

Private Sub Form_Load()
    vscThrottle.Value = 100
End Sub


Private Sub vscThrottle_Change()
    Dim ias As Integer  'Indicated airspeed
    
    'Let's reverse the value
    Throttle = 100 - vscThrottle.Value
    
    'Calculate the indicated airspeed against
    'the current power setting.
    ias = Throttle * 4.5
    
    'Update the airspeed indicator
    lblAirspeed.Caption = "Indicated Airspeed: " & _
        Trim$(Str$(ias))
    
    'Check the indicated airspeed to make sure
    'we are flying under the redline
    If ias >= VNE Then
        MsgBox "Power down!", vbCritical, "VNE Exceeded!"
    End If
End Sub


