VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Counters"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Public Function LineCount(CharactersPerLine As Integer) As Long
    Dim x As Word.Application
    Dim cc As Long         'Character Count
    
    'Get a reference to the Document
    Set x = Word.Application
    
        'Get the total character count
        With x.ActiveDocument
            cc = .Characters.Count
        End With
    
    'Cleanup our mess
    Set x = Nothing
        
    'To get the total line count,
    'we need to divide the total
    'character count by
    'CharactersPerLine
    LineCount = Int(cc / CharactersPerLine)
End Function


Public Function PageCount() As Integer
    Dim x As Word.Application
    
    'Get a reference to the Document
    Set x = Word.Application
    
        'Get the total character count
        With x.ActiveDocument
            PageCount = .BuiltInDocumentProperties("Number " & _
                "of Pages")
        End With
    
    'Cleanup our mess
    Set x = Nothing
End Function


